ROOTDIR=/home/antos0.44/user/

COPYDIR=$(ROOTDIR)copy
MAIN_INCDIR=$(ROOTDIR)include
CRT0=$(ROOTDIR)lib/crt0/crt0.o
LIB=$(ROOTDIR)lib/lib.a
LIBDB=$(ROOTDIR)lib/libdb.a
LIBCURSES=$(ROOTDIR)lib/libcurses.a
LIBREGEX=$(ROOTDIR)lib/libregex.a
LIBTERMCAP=$(ROOTDIR)lib/libtermcap.a
LIBGEN=$(ROOTDIR)lib/libgen.a
LIBUTIL=$(ROOTDIR)lib/libutil.a
LIBEDIT=$(ROOTDIR)lib/libedit.a
LIBKVM=$(ROOTDIR)lib/libkvm.a

#LIBGCC=/usr/lib/gcc-lib/i386-redhat-linux/3.2/libgcc.a
#LIBGCC=/usr/local/lib/gcc/i686-pc-elf/3.4.4/libgcc.a
#LIBGCCA=/usr/local/lib/gcc/i686-pc-elf/3.4.4/libgcc.a
LIBGCC=/usr/local/lib/gcc-lib/i686-elf/3.3.6/libgcc.a
LIBGCCA=/usr/local/lib/gcc-lib/i686-elf/3.3.6/libgcc.a

LIBS=$(CRT0) $(LIBGEN) $(LIBDB) $(LIB) $(LIBGCCA)

CFLAG_DEF=-O2 -W -nostdinc -I $(MAIN_INCDIR) -ffreestanding
#CC=gcc
CC=/usr/local/bin/i686-elf-gcc

#LD=ld -nostdlib -T $(ROOTDIR)ld.d
LDFLAG=-nostdlib -T $(ROOTDIR)ld.d
LDFLAGS=-nostdlib -T $(ROOTDIR)ld.d
LD=/usr/local/bin/i686-pc-elf-ld $(LDFLAG)

AR=ar rcs
